Bug 311061 - vim-X11 does not contain /usr/bin/{vim,vimdiff,ex,view,rview,rvim,vimtutor}
vim-X11 does not contain /usr/bin/{vim,vimdiff,ex,view,rview,rvim,vimtutor}
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 10:43 EDT by Till Maas
Modified: 2015-01-05 14:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:00:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2007-09-28 10:43:34 EDT
Description of problem:

The vim-X11 package contains a binary with X11 support, which is not only the
gtk interface but also additional features for usage in an xterm, e.g. support
of the xterm clipboard. The problem is, that /usr/bin/gvim always starts the
gui, therefore this binary must be run with the name "vim". I guess the best way
would be to use alternatives to point /usr/bin/vim either to the binary from
vim-enhanced or to the binary from vim-X11, when vim-X11 is installed. Imho the
symlinks in vim-enhanced to vim, should be moved in the vim-common package then:
/usr/bin/ex -> vim
/usr/bin/rvim -> vim
/usr/bin/vimdiff -> vim

btw. view, rview should point to vim, too. They are currently missing in
vim-enhanced. Also it would be nice if rvi and vi would be added, too, as
symlinks to vim.

I can provide a patch for the spec if you want.

Version-Release number of selected component (if applicable):
vim-enhanced-7.1.12-1.fc7
Comment 1 Till Maas 2008-01-15 07:40:18 EST
Hey Karsten, can you please comment on this? I would happily provide a patch.
Comment 2 Karsten Hopp 2008-01-15 08:14:23 EST
Why would anyone want to install both, vim-enhanced and vim-X11 if both provide
/usr/bin/vim ? vim-enhanced is for users who don't want to pull in the whole
X11/gtk packages. If someone decides to do that, he/she doesn't need
vim-enhanced at all and we won't need alternatives and just add a conflict
between vim-X11 and vim-enhanced.
Comment 3 Karsten Hopp 2008-01-15 08:28:27 EST
I'll post this for discussion on fedora-devel-list as adding explicit conflicts
need to be approved by FESCO afaik.
Comment 4 Karsten Hopp 2008-01-15 08:37:24 EST
Make that FPC, not FESCO
Comment 5 Till Maas 2008-01-15 08:43:50 EST
(In reply to comment #2)
> Why would anyone want to install both, vim-enhanced and vim-X11 if both provide
> /usr/bin/vim ? vim-enhanced is for users who don't want to pull in the whole
> X11/gtk packages. If someone decides to do that, he/she doesn't need
> vim-enhanced at all and we won't need alternatives and just add a conflict
> between vim-X11 and vim-enhanced.

If both provide /usr/bin/{vim,vimdiff,ex,view,rview,rvim,vimtutor}, this would
be great, too. I do not know why one would need both packages then. 
Comment 6 Toshio Ernie Kuratomi 2008-01-16 15:16:43 EST
How about resplitting the features that each of the subpackages provide to
acknowledge the changes that have occurred to what people expect from an
application these days:

vim-common -- remains the same
vim-minimal -- remains the same
vim-enhanced -- changes from --with-x=no to --with-x=yes
vim-X11 -- renamed to vim-gtk

This would allow /usr/bin/vim to use the X clipboard while keeping the GUI/gtk
stack separate.  If we use this scheme, vim-enhanced will pull in these
additional packages as dependencies::
  libICE
  libSM
  libX11
  libXt
  libxcb
  xorg-x11-filesystem
  libXau
  libXdmcp

It will not pull in the gtk stack.
Comment 7 Karsten Hopp 2008-01-17 06:34:38 EST
I'd like to avoid any dependencies on X libraries. I know that it isn't easy to
set up a server without X11 nowadays, but at least vim shouldn't pull in this
stuff. I'd rather drop vim-minimal and replace it with the current vim-enhanced,
but I'm somewhat concerned about the history of security issues in its
additional features (modelines p.e.).
Comment 8 Toshio Ernie Kuratomi 2008-01-17 08:24:09 EST
That could work.  (In reply to comment #7)
> I'd like to avoid any dependencies on X libraries. I know that it isn't easy to
> set up a server without X11 nowadays, but at least vim shouldn't pull in this
> stuff. I'd rather drop vim-minimal and replace it with the current vim-enhanced,
> but I'm somewhat concerned about the history of security issues in its
> additional features (modelines p.e.).

That could work but how would you deal with the possibility of /usr not being
mounted when you need to invoke /bin/vi?
Comment 9 Bug Zapper 2008-05-14 10:32:55 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 22:31:07 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Bug Zapper 2008-11-25 20:59:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-11-18 07:21:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 00:58:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Till Maas 2010-01-03 17:23:18 EST
still the case for vim-X11-7.2.315-1.fc12
Comment 15 Bug Zapper 2010-11-04 08:06:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-12-05 02:14:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 Till Maas 2010-12-17 17:51:33 EST
still present in vim-X11-7.3.056-1.fc14
Comment 18 Fedora End Of Life 2012-08-16 18:00:08 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Filipe Brandenburger 2015-01-05 14:20:33 EST
I just opened possibly related bug 1178962 which I believe would/could cover this request. Please add yourself to cc and/or comment on that bug if you still have interest in this feature.

Thanks,
Filipe

Note You need to log in before you can comment on or make changes to this bug.